Browse Source

FIPS Hash
Add a script that updates the verifyCore value automatically. It isn't
included in the dist like fips-check.sh.

John Safranek 4 years ago
parent
commit
851a547fd5
2 changed files with 21 additions and 0 deletions
  1. 1 0
      SCRIPTS-LIST
  2. 20 0
      fips-hash.sh

+ 1 - 0
SCRIPTS-LIST

@@ -6,6 +6,7 @@ pre-commit.sh - our pre commit hook, saves current state before running commit
 commit-tests.sh - our commit tests, must pass before a commit is accepted, use
                   -n (--no-verify) to disable
 
+fips-hash.sh - updates the verifyCore hash in fips_test.c
 
 fips-check.sh - checks if current wolfSSL version works against FIPS wolfCrypt
                 comment out last line to leave working directory

+ 20 - 0
fips-hash.sh

@@ -0,0 +1,20 @@
+#!/bin/bash
+
+if test ! -x ./wolfcrypt/test/testwolfcrypt
+then
+    echo "fips-hash: wolfCrypt test missing"
+    exit 1
+fi
+
+if test ! -s ./wolfcrypt/src/fips_test.c
+then
+    echo "fips-hash: fips_test.c missing"
+    exit 1
+fi
+
+NEWHASH=$(./wolfcrypt/test/testwolfcrypt | sed -n 's/hash = \(.*\)/\1/p')
+if test -n "$NEWHASH"
+then
+    sed -i.bak "s/^\".*\";/\"${NEWHASH}\";/" wolfcrypt/src/fips_test.c
+fi
+